REM Text Line Adder
REM Adds lines to the specified text file
REM Replace 'yourfile.txt' with your real file's name
REM and "YOUR LINE" with the text to be added
SETLOCAL enabledelayedexpansion
SET /a counter=0
echo.  > newfile
FOR /f "usebackq delims=" %%a in (yourfile.txt) do ( 
    IF "!counter!"=="%1"  ECHO "YOUR LINE" >> newfile
    IF not "!counter!"=="%1"  ECHO %%a >> newfile
    SET /a counter+=1
)
MOVE newfile yourfile.txt
